use crate::parser::document;

mod parser;

const TEST_DOC: &'static str = include_str!("../toy_language.txt");

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let subscriber = tracing_subscriber::FmtSubscriber::new();
    tracing::subscriber::set_global_default(subscriber)?;
    println!("{}\n\n\n", TEST_DOC);
    println!("{:#?}", document(TEST_DOC));
    Ok(())
}
